Bug 218839 - Review Request: pyflakes - A Lint-like tool for Python
Review Request: pyflakes - A Lint-like tool for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 218844
  Show dependency treegraph
 
Reported: 2006-12-07 14:43 EST by Jeffrey C. Ollie
Modified: 2007-12-16 12:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 00:03:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-12-07 14:43:22 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/pyflakes-0.0-0.1.10526.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/pyflakes-0.0-0.1.10526.fc6.src.rpm
Description:

PyFlakes is a Lint-like tool for Python, like PyChecker. It is focused
on identifying common errors quickly without executing Python
code. Its primary advantage over PyChecker is that it is fast. You
don't have to sit around for minutes waiting for the checker to run;
it runs on most large projects in only a few seconds.
Comment 1 Bernard Johnson 2006-12-08 07:08:27 EST
Jeffrey, I'll try to do a review of this package and the ones it blocking,
however, the first thing I noticed that the versioning for the package is not
correct.  Please take a look at:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-e104844825856d7c45f2f0241586985c0495966b
Comment 3 Bernard Johnson 2006-12-08 16:32:48 EST
Is this a pre-release of 0.2.1 or a snapshot post 0.2.1?
Comment 4 Jeffrey C. Ollie 2006-12-08 16:50:11 EST
It's post 0.2.1 - I didn't see the old web page at
http://divmod.org/projects/pyflakes before creating these packages so I guess I
just assumed that there hadn't been a release.
Comment 5 Bernard Johnson 2006-12-08 17:14:48 EST
Check me on this, but I believe it would then be considered a snapshot release,
and your version numbering would need to be different based off the prior
release number.  See
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-cfd71146dbb6f00cec9fe3623ea619f843394837

Perhaps you want to revert to the released package.

Either way, fix it up, and I'll review.
Comment 6 Jeffrey C. Ollie 2006-12-08 18:07:09 EST
I'll stick with the SVN snapshot since it's what I've tested with.

Spec URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/pyflakes-0.2.1-1.10526svn.fc6.spec
SRPM URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/pyflakes-0.2.1-1.10526svn.fc6.src.rpm
Comment 7 Bernard Johnson 2006-12-08 18:40:18 EST
SVN/CVS versions are generally frowned upon unless they provide significant bug
fixes (that would not be easily provided with patch) or significant features or
functionality that dependent packages rely on.

I would prefer that you first verify against the release version if you are
providing such fixes are features before we take the path of introducing a
snapshot into FE.
Comment 9 Bernard Johnson 2006-12-09 15:18:04 EST
The package builds cleanly with a mock-build on FC6.  There is one minor rpmlint
complaint that should be fixed:

rpmlint -i pyflakes-0.2.1-2.fc6.src.rpm 
W: pyflakes mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

No tabs please.


MUST Items:
- MUST: The License field in the package spec file must match the actual license.

This is the MIT license.

Comment 10 Jeffrey C. Ollie 2006-12-09 16:39:25 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/pyflakes-0.2.1-3.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/pyflakes-0.2.1-3.fc6.src.rpm

License fixed... Thanks, all the different licenses confuse me!
Comment 11 Bernard Johnson 2006-12-09 16:44:51 EST
I see you fixed the lint output as well.

This ends my review of the package.
Comment 12 Ville Skyttä 2006-12-21 16:07:57 EST
Bernard, do you have the reviewer bits set on your Fedora account?  If yes,
could you set the status and assignment of this package according to the
result/phase of your review as documented at
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
Comment 13 Bernard Johnson 2007-01-02 01:15:21 EST
Ville

I don't have a Fedora account since I haven't been sponsored yet.  I forgot to
state that this was an unofficial review, but Jeffrey knew that because I was
providing several unofficial reviews for his packages.

Sorry for the confusion.
Comment 14 John Mahowald 2007-01-05 20:10:28 EST
I hope you don't mind if I finish this.

+ License (MIT)
+ BuildArch noarch
+ follows python template
+ macro usage
+ source matches
+ follows naming guidelines
+ sane BuildRoot
+ runs

APPROVED
Comment 15 Jeffrey C. Ollie 2007-01-06 00:03:11 EST
Thanks for the review... imported, built for devel, branches requsted for FC-5
and FC-6.
Comment 16 Jeffrey C. Ollie 2007-12-15 17:14:19 EST
Package Change Request
======================
Package Name: pyflakes
New Branches: EL-4 EL-4
Updated EPEL Owners: jcollie
Comment 17 Kevin Fenzi 2007-12-16 12:37:06 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.